OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
NodeManagerData Struct Reference

`#include <nanovdb/util/NodeManager.h>`

Inheritance diagram for NodeManagerData:

## Public Attributes
uint64_t | mMagic
union { |
int64_t mPadding |
uint8_t mLinear |
}; |  |
void * | mGrid
union { |
int64_t * mPtr [3] |
int64_t mOff [3] |
}; |  |

## Member Data Documentation

## ◆ [union]

union { ... }

## ◆ [union]

union { ... }

## ◆ mGrid

void* mGrid

## ◆ mLinear

uint8_t mLinear

## ◆ mMagic

uint64_t mMagic

## ◆ mOff

int64_t mOff[3]

## ◆ mPadding

int64_t mPadding

## ◆ mPtr

int64_t* mPtr[3]